Bug 244234 - Review Request: R-maanova - Analysis of N-dye Micro Array using mixed model effect
Review Request: R-maanova - Analysis of N-dye Micro Array using mixed model e...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-14 12:57 EDT by Pierre-Yves
Modified: 2008-01-29 00:13 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.9.0-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 00:13:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-Yves 2007-06-14 12:57:17 EDT
Spec URL: http://pingoured.dyndns.org/public/RPM/R-maanova-1.4/R-maanova.spec
SRPM URL: http://pingoured.dyndns.org/public/RPM/R-maanova-1.4/R-maanova-1.4.0-0.7.fc6.src.rpm
Description: 
Analysis of N-dye Micro Array experiment using mixed model effect
Containing analysis of variance, permutation and bootstrap, cluster 
and consensus tree

I am seeking for a sponsor :-)
Comment 1 Pierre-Yves 2007-07-10 17:30:14 EDT
Based on the R packaging guidelines, there are the new files

SPEC:
http://pingoured.dyndns.org/public/RPM/R-maanova-1.4/R-maanova.spec
SRPM:
http://pingoured.dyndns.org/public/RPM/R-maanova-1.4/R-maanova-1.4.0-2.fc6.src.rpm

I am not seeking for a sponsor any more 
Thanks :-)
Comment 2 Jason Tibbitts 2007-09-30 15:56:49 EDT
rpmlint complains of the license.  The DESCRIPTION files says "GPLv2+" but the
code itself says:

# Licensed under the GNU General Public License version 2 (June, 1991)

which I would interpret as overriding whatever DESCRIPTION says.  Thus the
License: tag should contain "GPLv2", but it would be best if you could contact
upstream to clarify.

I would suggest that you use the actual upstream site as your URL: 
http://www.jax.org/staff/churchill/labsite/software/Rmaanova/

I also note that 1.4.1 is out; it seems that it was available a couple of months
before you submitted your package but it's only listed at the real upstream
site, not the one you have in the URL tag.  I don't see any significant changes
which would invalidate this review, though, so I'll just work with the current
package and you can update it later.

You should probably terminate your %description entries with periods.  Frankly I
can't understand much from the description; maybe I'm just not enough of a
statistician.  However, what's on the real upstream web site is much more
understandable.  Perhaps you could consider using it instead.

Since this is an arch-specific package, you do not need an explicit dependency
on R as rpm will find the libR.so dependency automatically.

The test suite warns:
* checking for unstated dependencies in R code ... WARNING
'library' or 'require' calls not declared from:
  snow
See the information on DESCRIPTION files in the chapter 'Creating R
packages' of the 'Writing R Extensions' manual.

I'm not sure what this means or if it's a problem.


* source files match upstream:
   b0f1c1ab439f32fd1d74ef9f359a57aa0c7fdf9d0d0ba5b14a067895d345b24b  
   maanova_1.4.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
? description is a but 
* dist tag is present.
* build root is OK.
X license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
X latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
X rpmlint has a valid complaint.
X final provides and requires are sane:
   maanova.so()(64bit)
   R-maanova = 1.4.0-2.fc8
  =
   /bin/sh
X   R (unneeded manual dependency)
   libR.so()(64bit)
? %check is present; one test warns.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (R module registration)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
Comment 3 Pierre-Yves 2007-10-01 07:17:30 EDT
Well this package has been the first one that I did, I was not used to the
bioconductor.org website.
In fact the version 1.6.0 is out as stable
http://www.bioconductor.org/packages/2.0/bioc/html/maanova.html
and the version 1.7.1 is out as devel but the release of the version 2.1 of
bioconductor will happen in October 5th.
http://www.bioconductor.org/packages/2.1/bioc/html/maanova.html

>The test suite warns:
>* checking for unstated dependencies in R code ... WARNING
>'library' or 'require' calls not declared from:
>  snow
>See the information on DESCRIPTION files in the chapter 'Creating R
>packages' of the 'Writing R Extensions' manual.
>I'm not sure what this means or if it's a problem.

This warning appears because I put this in the spec
%{__sed} -i -e 's/\r$//'  %{packname}/DESCRIPTION
I tried to avoid to package snow that is only suggested and not required (and
depends also on a lot others packages that depend again on others packages
(sometime the same).
I tried to avoid to package snow but without removing the R CMD check which is
on the %check.

I will have a look on the description and contact upstream about the license.

Thanks
Regards
Comment 4 Pierre-Yves 2007-10-01 08:32:06 EDT
Looking into the code of the version 1.6.0 and 1.7.1 it appears that every where
it is written :
# copyright (c) 2001-2002, ...
# written May, 2002
# Licensed under the GNU General Public License version 2 (June, 1991)

And the DESCRIPTION file says:
License: GPL version 2 or later

Then I will upload the version 1.6.0 with the corrected spec

Regards,
Comment 5 Pierre-Yves 2007-10-01 08:40:40 EDT
sorry misread the files... I have mailed upstream
Comment 6 Pierre-Yves 2007-10-23 08:01:39 EDT
I have send another mail to upstream some days ago but it seems that he does not
want to reply.

I will try the mailing list of Bioconductor if I have no reply at the end of the
week.

Regards
Comment 7 Brad Bell 2007-12-26 02:06:01 EST
Version 1.8.1 also has "GPL version 2 or later" in the DESCRIPTION and "Licensed
under the GNU General Public License version 2" elsewhere. The combination of
these two statements means (to me) that GPLv2 is the proper entry for the
License in the maanova.spec file.
Comment 8 Jason Tibbitts 2008-01-04 16:17:18 EST
Any chance we could move forward with this now?  I agree with Brad that GPLv2
seems more appropriate, and upstream can always clarify later if they can be
bothered to do so.
Comment 9 Pierre-Yves 2008-01-05 12:21:43 EST
I have uploaded the latest version of the package

I put a GPLv2+ license tag as I get no answer to the mail that I sent to the
Bioconductor-devel mailing list (
https://stat.ethz.ch/pipermail/bioc-devel/2007-December/001441.html maybe after
the hollidays...)

I also add R-qvalue to the require as this later version suggested it (I create
the review https://bugzilla.redhat.com/show_bug.cgi?id=427624 )

SPEC:
http://pingoured.fr/public/RPM/R-maanova/R-maanova.spec
SRPM:
http://pingoured.fr/public/RPM/R-maanova/R-maanova-1.8.0-1.fc8.src.rpm
Comment 10 Jason Tibbitts 2008-01-15 14:14:51 EST
Looks like R-qvalue made it all the way through the process, so I can look at
this again.  But it fails to build:

+ R CMD INSTALL maanova -l
/var/tmp/R-maanova-1.8.0-1.fc9-root-mockbuild/usr/lib64/R/library
/var/tmp/R-maanova-1.8.0-1.fc9-root-mockbuild/usr/lib64/R/library
* Installing *source* package 'maanova' ...
** libs
gcc -std=gnu99 -I/usr/include/R -I/usr/include/R  -I/usr/local/include    -fpic
 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -c makeratio.c -o makeratio.o
makeratio.c:16:15: error: R.h: No such file or directory
makeratio.c:17:19: error: Rmath.h: No such file or directory
makeratio.c:18:27: error: R_ext/PrtUtil.h: No such file or directory
makeratio.c:19:26: error: R_ext/Applic.h: No such file or directory
makeratio.c:20:26: error: R_ext/Random.h: No such file or directory
makeratio.c: In function 'makeratio':
makeratio.c:31: warning: implicit declaration of function 'R_alloc'
makeratio.c:31: warning: cast to pointer from integer of different size
make: *** [makeratio.o] Error 1
ERROR: compilation failed for package 'maanova'
** Removing
'/var/tmp/R-maanova-1.8.0-1.fc9-root-mockbuild/usr/lib64/R/library/maanova'
error: Bad exit status from /var/tmp/rpm-tmp.10911 (%install)

I added R-devel to the build dependencies and things build OK.

Aside from the usual rpmlint warnings, I get:
  R-maanova.x86_64: W: wrong-file-end-of-line-encoding 
   /usr/lib64/R/library/maanova/doc/abf1.tex
I'm not really sure it's worth fixing, but if you want to do so it should be
trivial.

I can't fetch the upstream source; the Souce0: URL is 404 for me.  I guess
they've moved on to 1.9.0 now.  Should I just go ahead and review this or would
you like to update again?
Comment 11 Pierre-Yves 2008-01-16 04:43:04 EST
ok

They indeed update to version 1.9.0.
I have also fix the rpmlint complain.

There are the new files:
SPEC:
http://pingoulaptop.dyndns.org/public/RPM/R-maanova/R-maanova.spec

SRPM:
http://pingoulaptop.dyndns.org/public/RPM/R-maanova/R-maanova-1.9.0-1.fc8.src.rpm
Comment 12 Jason Tibbitts 2008-01-16 13:15:49 EST
Cool, this builds and rpmlint is clean (except for the usual R warnings which
I'll ignore).

* source files match upstream:
   ba7362507468f1f5c758cebc142119bc9c358f8286e788b12b982ee3f1f0af4d  
   maanova_1.9.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK (I didn't check the French versions)
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint has only the usual R complaints.
* final provides and requires are sane:
   maanova.so()(64bit)
   R-maanova = 1.9.0-1.fc9
  =
   /bin/sh
   R
   R-qvalue
   libR.so()(64bit)
   libRblas.so()(64bit)
   libRlapack.so()(64bit)
   libgcc_s.so.1()(64bit)
   libgfortran.so.1()(64bit)

* %check is present and all tests pass.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (R package registration)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 13 Pierre-Yves 2008-01-16 13:21:48 EST
New Package CVS Request
=======================
Package Name:  R-maanova 
Short Description:  Analysis of N-dye Micro Array using mixed model effect
Owners: pingou
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2008-01-17 12:07:11 EST
cvs done.
Comment 15 Fedora Update System 2008-01-27 02:19:36 EST
R-maanova-1.9.0-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-maanova'.  You can provide feedback for this update here: http://admin.fedoraproject.org/F7/FEDORA-2008-1063
Comment 16 Fedora Update System 2008-01-29 00:13:17 EST
R-maanova-1.9.0-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2008-01-29 00:13:35 EST
R-maanova-1.9.0-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.